org.rrd4j.graph

## Class SourcedPlotElement

- java.lang.Object
- - org.rrd4j.graph.PlotElement
  - - org.rrd4j.graph.SourcedPlotElement

- Direct Known Subclasses:
    Area, Line, Stack

      class SourcedPlotElement
      extends PlotElement

  Represents a plot element that obtains data from a named source. Extends PlotElement to handle data assignment, stacking, and value calculations. Supports parent-child relationships for stacked graph elements and provides value range calculations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SourcedPlotElement` | `parent`
    `(package private) String` | `srcName`
    `(package private) double[]` | `values`

    - ### Fields inherited from class org.rrd4j.graph.PlotElement

      `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourcedPlotElement(String srcName, Paint color)`
    `SourcedPlotElement(String srcName, Paint color, SourcedPlotElement parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `assignValues(DataProcessor dproc)`
    `(package private) double` | `getMaxValue()`
    `(package private) double` | `getMinValue()`
    `(package private) Paint` | `getParentColor()`
    `(package private) double[]` | `getValues()`
    `(package private) double[]` | `stackValues(DataProcessor dproc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          final SourcedPlotElement parent

    - #### srcName

          final String srcName

    - #### values

          double[] values

  - ### Constructor Detail

    - #### SourcedPlotElement

          SourcedPlotElement(String srcName,
                             Paint color)

    - #### SourcedPlotElement

          SourcedPlotElement(String srcName,
                             Paint color,
                             SourcedPlotElement parent)

  - ### Method Detail

    - #### assignValues

          void assignValues(DataProcessor dproc)

    - #### getMaxValue

          double getMaxValue()

    - #### getMinValue

          double getMinValue()

    - #### getParentColor

          Paint getParentColor()

    - #### getValues

          double[] getValues()

    - #### stackValues

          double[] stackValues(DataProcessor dproc)